New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fedora 26 #350

Closed
oldmansaur opened this Issue Jul 18, 2017 · 7 comments

Comments

Projects
None yet
6 participants
@oldmansaur

oldmansaur commented Jul 18, 2017

Trying to install nixnote2 on Fedora 26.

I am getting this error message.
nothing provides libhunspell-1.4.so.0()(64bit) needed by nixnote2-2.0_beta10-3.ndias.fc26.x86_64

When I try dnf whatprovides "libhunspell*", I get

hunspell-1.5.4-2.fc26.x86_64 : A spell checker and morphological analyzer library
Repo : @System

hunspell-1.5.4-2.fc26.i686 : A spell checker and morphological analyzer library
Repo : fedora

hunspell-1.5.4-2.fc26.x86_64 : A spell checker and morphological analyzer library
Repo : fedora

Edit: Downloading from SourceForge and then installing it works just fine.

@zkanda

This comment has been minimized.

Show comment
Hide comment
@zkanda

zkanda Jul 24, 2017

I'm getting this error too, using RPM from SourceForge works just fine.

Edit: I had to install poppler-qt5 too.

zkanda commented Jul 24, 2017

I'm getting this error too, using RPM from SourceForge works just fine.

Edit: I had to install poppler-qt5 too.

@baumgarr

This comment has been minimized.

Show comment
Hide comment
@baumgarr

baumgarr Aug 12, 2017

Owner

I would recommend using a newer build of NixNote or building it from source. The newer builds separate out hunspell into a plugin so it isn't needed for the actual base NixNote.

If you want to build it from the source, the instructions are in the manual.

Owner

baumgarr commented Aug 12, 2017

I would recommend using a newer build of NixNote or building it from source. The newer builds separate out hunspell into a plugin so it isn't needed for the actual base NixNote.

If you want to build it from the source, the instructions are in the manual.

@zkanda

This comment has been minimized.

Show comment
Hide comment
@zkanda

zkanda Aug 15, 2017

@baumgarr where can we get the newer builds?

zkanda commented Aug 15, 2017

@baumgarr where can we get the newer builds?

@jhoward321

This comment has been minimized.

Show comment
Hide comment
@jhoward321

jhoward321 Aug 24, 2017

@zkanda I built the latest version and created a copr repository for it so you can install it through dnf. https://copr.fedorainfracloud.org/coprs/jhoward321/nixnote2/

jhoward321 commented Aug 24, 2017

@zkanda I built the latest version and created a copr repository for it so you can install it through dnf. https://copr.fedorainfracloud.org/coprs/jhoward321/nixnote2/

@wildskyf

This comment has been minimized.

Show comment
Hide comment
@wildskyf

wildskyf Sep 23, 2017

Thanks to @jhoward321 !

sudo dnf copr enable jhoward321/nixnote2 
sudo dnf install nixnote2 -y

wildskyf commented Sep 23, 2017

Thanks to @jhoward321 !

sudo dnf copr enable jhoward321/nixnote2 
sudo dnf install nixnote2 -y
@ellenos

This comment has been minimized.

Show comment
Hide comment
@ellenos

ellenos commented Sep 25, 2017

thank you @jhoward321 and @wildskyf !!

@baumgarr

This comment has been minimized.

Show comment
Hide comment
@baumgarr

baumgarr Oct 8, 2017

Owner

I also have a newer build uploaded to SourceForge. You can try that too. Sorry for the slow response.

Thanks!

Owner

baumgarr commented Oct 8, 2017

I also have a newer build uploaded to SourceForge. You can try that too. Sorry for the slow response.

Thanks!

@baumgarr baumgarr closed this Oct 8, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment